
// ==UserScript==
// @name           Fix Web
// @description    Surf the Web without JavaScript.
// @include        *
// ==/UserScript==

/*
 *	Home:      http://userscripts.org/scripts/show/12291
 *	ChangeLog: http://fix-web-userscript.blogspot.com
 */

function main()
{
	// GOOGLE.COM
	if (window.location.hostname.search(/www\.google\.(ae|am|as|at|az|ba|be|bg|bi|bs|ca|cd|cg|ch|ci|cl|cn|co\.bw|co\.ck|co\.cr|co\.id|co\.il|co\.in|co\.jp|co\.ke|co\.kr|co\.ls|com|co\.ma|com\.af|com\.ag|com\.ai|com\.ar|com\.au|com\.bd|com\.bh|com\.bn|com\.bo|com\.br|com\.by|com\.bz|com\.co|com\.cu|com\.do|com\.ec|com\.eg|com\.et|com\.fj|com\.gi|com\.gt|com\.hk|com\.jm|com\.kh|com\.ly|com\.mt|com\.mx|com\.my|com\.na|com\.nf|com\.ng|com\.ni|com\.np|com\.om|com\.pa|com\.pe|com\.ph|com\.pk|com\.pr|com\.py|com\.qa|com\.sa|com\.sb|com\.sg|com\.sv|com\.tj|com\.tr|com\.tw|com\.ua|com\.uy|com\.vc|com\.vn|co\.nz|co\.th|co\.ug|co\.uk|co\.uz|co\.ve|co\.vi|co\.yu|co\.za|co\.zm|co\.zw|cz|de|dj|dk|dm|ee|es|fi|fm|fr|ge|gg|gl|gm|gp|gr|gy|hn|hr|ht|hu|ie|im|is|it|je|jo|kg|ki|kz|la|li|lk|lt|lu|lv|md|mn|ms|mu|mv|mw|nl|no|nr|nu|pl|pn|pt|ro|ru|rw|sc|se|sh|si|sk|sm|sn|st|tk|tm|to|tp|tt|vg|vu|ws)$/) > -1)
	return google_com();

	switch (window.location.hostname)
	{
		// BREAK.COM
		case "break.com": case "www.break.com":
		return break_com();

		// CLIPFISH.DE
		case "clipfish.de": case "www.clipfish.de":
		return clipfish_de();

/*		// CRACKLE.COM
		case "crackle.com": case "www.crackle.com":
		return crackle_com();*/

		// DICT.TU-CHEMNITZ.DE
		case "dict.tu-chemnitz.de":
		return dict_tu_chemnitz_de();

		// IMDB.COM
		case "imdb.com": case "uk.imdb.com": case "www.imdb.com":
		imdb_com(); break;

		// METACAFE.COM
		case "metacafe.com": case "www.metacafe.com":
		metacafe_com(); break;

		// MOVIES.GO.COM
		case "movies.go.com":
		return movies_go_com();

		// MTV.COM
		case "mtv.com": case "www.mtv.com":
		return mtv_com();

		// REVVER.COM
		case "revver.com": case "www.revver.com":
		return revver_com();

		// SCROOGLE.ORG
		case "scroogle.org": case "www.scroogle.org":
		return scroogle_org();

		// TOMGREEN.COM
		case "tomgreen.com": case "www.tomgreen.com":
		return tomgreen_com();

		// USERSCRIPTS.ORG
		case "userscripts.org": case "www.userscripts.org":
		return userscripts_org();

		// WILDERSSECURITY.COM
		case "wilderssecurity.com": case "www.wilderssecurity.com":
		return wilderssecurity_com();

		// YOUTUBE.COM
		case "youtube.com": case "www.youtube.com":
		return youtube_com();

		// VIDEO.GOOGLE.COM
		case "video.google.com":
		return video_google_com();
	}

	// SHOW SWFOBJECTS
	show_swfobject();
}

function show_swfobject()
{
	var funcScript = function(script) {
		if (script.search(/var\s+\w+\s+=\s+new\s+SWFObject/) > -1)
		{
			// Get the parameters from the constructor-call.
			var src, id, width, height, version, bgcolor, quality = "";
			var matches = script.match(/var\s+\w+\s+=\s+new\s+SWFObject\s*\(.*/)[0].match(/(\"[^"]+\")|('[^']+')|.[0-9]+./g);
			if (matches) {
				if (matches[0]) src = " src=\"" + matches[0].substring(1, matches[0].length - 1) + "\"";
				if (matches[1]) id = " id=\"" + matches[1].substring(1, matches[1].length - 1) + "\"";
				if (matches[2]) width = " width=\"" + matches[2].substring(1, matches[2].length - 1) + "\"";
				if (matches[3]) height = " height=\"" + matches[3].substring(1, matches[3].length - 1) + "\"";
//				if (matches[4]) version = matches[4].substring(1, matches[4].length - 1) + "\"";
				if (matches[5]) bgcolor = " bgcolor=\"" + matches[5].substring(1, matches[5].length - 1) + "\"";
				if (matches[6]) quality = " quality=\"" + matches[6].substring(1, matches[6].length - 1) + "\"";
//				xiRedirectUrl, redirectUrl, detectKey
			}

			if (width <= 1 || height <= 1) return;

			var get_name = function(src) {
				var name = null;
				try{
					var tmp = src.match(/("[^"]+")|('[^']+')/)[0];
					name = tmp.substring(1, tmp.length - 1);
				}catch(e){};
				return name;
			}

			var get_value = function(src, regex) {
				var value = null;
				try{
					var tmp = src.match(regex)[0];
					character = tmp.charAt(tmp.length - 1);
					if (character.match(/["']/)) value = src.substring(tmp.length, src.lastIndexOf(character));
					else value = src.substring(tmp.length - 1, src.lastIndexOf(")"));
				}catch(e){};
				return value;
			}

			// Get the variables.
			var variables = script.match(/(((\/\/)|(\/\*))\s*)?\w+\.addVariable\s*\(.*/g);
			var flashvars = "";
			var character = "";
			if (variables)
			{
				flashvars += " flashvars=\"";
				for (var i = 0, count = 0; i < variables.length; i++)
				{
					if (variables[i].charAt(0) == '/') continue;
					var name = get_name(variables[i]);
					var value = get_value(variables[i], /\w+\.addVariable\s*\((("[^"]+")|('[^']+'))\,\s*\S/);
					if (value)
					{
						if (count++ > 0) flashvars += "&amp;";
						flashvars += name + "=" + value;
					}
				}
				flashvars += "\"";
			}

			// Get the parameters.
			var parameters = script.match(/(((\/\/)|(\/\*))\s*)?\w+\.addParam\s*\(.*/g);
			var params = " ";
			var character = "";
			if (parameters) for (var i = 0; i < parameters.length; i++)
			{
				if (parameters[i].charAt(0) == '/') continue;
				var name = get_name(parameters[i]);
				var value = get_value(parameters[i], /\w+\.addParam\s*\((("[^"]+")|('[^']+'))\,\s*\S/);
				if (value) params += name + "=\"" + value + "\" ";
			}

			// Get the div-id and create the embed-object.
			var div = script.match(/\w+\.write\s*\(\s*((\"[^"]+\")|('[^']+'))/);
			character = div[0].charAt(div[0].length - 1);
			div = div[0].substring(div[0].indexOf(character) + 1, div[0].length - 1);
			$id(div).innerHTML = "<embed" + src + id + width + height + bgcolor + quality + flashvars + params + " type=\"application/x-shockwave-flash\">";
		}
	};
	doFunc(null, funcScript);
}

function break_com()
{
	var funcScript = function(script) {
		// FLASH VIDEO
		if (script.search(/sGlobalFileName=/) > -1)
		{
			var fileName = script.match(/sGlobalFileName='[^']+/)[0].substring(17);
			var filePath = script.match(/sGlobalContentFilePath='[^']+/)[0].substring(24);
			var flashvars = "playerConfigLoc=http://media1.break.com/static/app/v1/global/swf/ghost_assets/&videoPath=http://media1.break.com/dnet/media/" + filePath + "/" + fileName + ".flv";
			$id("defaultDiv").innerHTML = "<embed width=\"100%\" height=\"100%\" flashvars=\"" + flashvars + "\" src=\"http://media1.break.com/static/app/v1/global/swf/ghost_player.swf\" type=\"application/x-shockwave-flash\"/>";
			count--;
		}
	};
	doFunc(null, funcScript, 1);
}

function clipfish_de()
{
	var funcScript = function(script) {
		// FLASH VIDEO
		if (script.search(/show_player\(/) > -1)
		{
			var src = script.match(/show_player\('[^']+/)[0].substring(13);
			var element = document.evaluate(".//div[@class='flash']", $id("cfcontent"), null, XPathResult.UNORDERED_NODE_SNAPSHOT_TYPE, null);
			if (element && element.snapshotLength > 0) element.snapshotItem(0).innerHTML = "<embed width=\"464\" height=\"380\" align=\"middle\" type=\"application/x-shockwave-flash\" quality=\"high\" src=\"" + src + "\"/>";
			count--;
		}
	};
	doFunc(null, funcScript, 1);
}

/*function crackle_com()
{
	var funcScript = function(script) {
		// FLASH VIDEO
		if (script.search(/function\ OnBodyLoad/) > -1)
		{
*///			var id = script.match(/StartPlayer.*/)[0].match(/[0-9]+/)[0];
/*			$id("FlashPlayerContainer").innerHTML = "<embed width=\"100%\" height=\"100%\" flashvars=\"id=" + id + "\" src=\"/flash/ReferrerRedirect.ashx\" type=\"application/x-shockwave-flash\"/>";
			count--;
		}
	};
	doFunc(null, funcScript, 1);
}*/

function dict_tu_chemnitz_de()
{
	var funcOnce = function() {
		// FOCUS SEARCH FIELD
		if ($id("query"))
		{
			$id("query").focus();
			$id("query").select();
		}
	};
	doFunc(funcOnce);
}

function imdb_com()
{
	var funcScript = function(script) {
		// SHOW VIDEO IFRAME
		if (script.search(/var\ videoSrc/) > -1)
		{
			var videoSrc = script.match(/var\ videoSrc\ =\ '[^']+'/)[0].substring(16);
			videoSrc = videoSrc.substring(0, videoSrc.length - 1);
			var div = document.createElement("div");
			div.innerHTML = "<iframe id=\"video-player-container\" width=\"100%\" scrolling=\"no\" height=\"100%\" frameborder=\"0\" bgcolor=\"#000000\" topmargin=\"0\" marginwidth=\"0\" marginheight=\"0\" leftmargin=\"0\" margin=\"none\" src=\"" + videoSrc + "\">";
			$id("video-page").insertBefore(div, $id("video-page").firstChild);
			count--;
		}
	};
	doFunc(null, funcScript, 1);
}

function metacafe_com()
{
	var funcOnce = function() {
		// APPEND STYLES
		appendStyle("#CatalogLayoutMenu, #SidBarCatalogTabs {display : none !important;}");
		appendStyle(".ItemCatalog {display : block !important;}");

		// IMAGES IN SIDE-BAR-CATALOGS
		var images = document.evaluate(".//img[contains(@name, 'http://') and contains(@id, 'img-')]", document.body, null, XPathResult.UNORDERED_NODE_SNAPSHOT_TYPE, null);
		if (images) for (var i = 0; i < images.snapshotLength; i++)
		{
			var image = images.snapshotItem(i);
			var src = image.getAttribute("name");
			image.setAttribute("src", src);
		}

		// WRAP ARROUND PLAY-BUTTON
		var anchors = document.evaluate(".//a[@class='PlayButton']", $id("SideBarCatalogs"), null, XPathResult.UNORDERED_NODE_SNAPSHOT_TYPE, null);
		if (anchors) for (var i = 0; i < anchors.snapshotLength; i++)
		{
			var a = anchors.snapshotItem(i);
			a.innerHTML = "";
			var grandparent = a.parentNode.parentNode;
			grandparent.insertBefore(a, grandparent.firstChild);
			while (a.nextSibling) a.appendChild(a.nextSibling);
		}

		// MOVE SIDE-BAR-SEARCHFORM
		if($id("EmbedAndBookmarks")) $id("EmbedAndBookmarks").appendChild($id("SideBarSearchForm"));

		// SHOW SIDE-BAR-ITEM-CATALOGS AND SIDE-BAR-SEARCH-FORM
		appendStyle(".SideBarItemCatalog, #SideBarSearchForm {display: block !important;} #SideBarSearchForm {margin: 0 !important;}");
	};
	var funcScript = function(script) {
		if (script.search(/var\ userPageID/) > -1)
		{
			var userPageID = script.match(/var\ userPageID.*/)[0].match(/[0-9]+/)[0];
			var formStyle = "display:inline; position:relative;";
			var inputStyle = "cursor:pointer; background:none; border:none; top:2px;";

			// CHANNEL LINKS
			var anchors = document.evaluate(".//a[@rel]", $id("ChannelTab"), null, XPathResult.UNORDERED_NODE_SNAPSHOT_TYPE, null);
			if (anchors) for (var i = 0; i < anchors.snapshotLength; i++)
			{
				var a = anchors.snapshotItem(i);
				a.parentNode.innerHTML = ""+
"<form style=\""+ formStyle + "\" action=\"http://www.metacafe.com/index.php?pageToLoad=userPageCatalogsTab&remoteCall=1\" method=\"post\" target=\"_blank\">"+
"<input type=\"hidden\" name=\"catalogType\" value=\"userChannel\">"+
"<input type=\"hidden\" name=\"orderBy\" value=\"newest\">"+
"<input type=\"hidden\" name=\"pageNumber\" value=\"" + a.rel + "\">"+
"<input type=\"hidden\" name=\"tabIndex\" value=\"0\">"+
"<input type=\"hidden\"  name=\"userPageID\" value=\"" + userPageID + "\">"+
"<!--input type=\"hidden\" name=\"private\" value=\"\"-->"+
"<input type=\"submit\" value=\"" + a.rel + "\" style=\""+ inputStyle + "\">"+
"</form>";
			}

			// SUBSCRIPTIONS LINKS
			anchors = document.evaluate(".//a[@rel]", $id("UserPageSubscriptionsContainer"), null, XPathResult.UNORDERED_NODE_SNAPSHOT_TYPE, null);
			if (anchors) for (var i = 0; i < anchors.snapshotLength; i++)
			{
				var a = anchors.snapshotItem(i);
				a.parentNode.innerHTML = ""+
"<form style=\""+ formStyle + "\" action=\"http://www.metacafe.com/index.php?pageToLoad=userPageSubscriptions&remoteCall=1\" method=\"post\" target=\"_blank\">"+
"<input type=\"hidden\" name=\"pageNumber\" value=\"" + a.rel + "\">"+
"<input type=\"hidden\" name=\"userPageID\" value=\"" + userPageID + "\">"+
"<!--input type=\"hidden\" name=\"private\" value=\"\"-->"+
"<input type=\"submit\" value=\"" + a.rel + "\" style=\""+ inputStyle + "\">"+
"</form>";
			}
			count--;
		}
	};
	doFunc(funcOnce, funcScript, 1);
}

function movies_go_com()
{
	var funcScript = function(script, scriptElement) {
		// FLASH VIDEO
		if (script.search(/var\ SOB\ =\ new\ flashObj/) > -1)
		{
			var id = script.match(/SOB\.ID.*/)[0];
			id = id.substring(id.indexOf("\"") + 1, id.lastIndexOf("\""));
			var flashFile = script.match(/SOB.flashFile.*/)[0];
			flashFile = flashFile.substring(flashFile.indexOf("\"") + 1, flashFile.lastIndexOf("\""));
			var width = script.match(/SOB.width.*/)[0];
			width = width.substring(width.indexOf("\"") + 1, width.lastIndexOf("\""));
			var height = script.match(/SOB.height.*/)[0];
			height = height.substring(height.indexOf("\"") + 1, height.lastIndexOf("\""));
			var flashVars = script.match(/SOB.flashVars.*/)[0];
			flashVars = flashVars.substring(flashVars.indexOf("\"") + 1, flashVars.lastIndexOf("\""));
			var div = document.createElement("div");
			div.innerHTML = "<embed id=\"" + id + "\" width=\"" + width + "\" height=\"" + height + "\" flashvars=\"" + flashVars + "\" style=\"\" src=\"" + flashFile + "\" type=\"application/x-shockwave-flash\"/>";
			scriptElement.parentNode.insertBefore(div, scriptElement)
			count--;
		}
	};
	doFunc(null, funcScript, 1);
}

function mtv_com()
{
	var funcScript = function(script) {
		// FLASH VIDEO
		if (script.search(/var\ so\ =\ new\ SWFPlayerObject/) > -1)
		{
			var tmp = script.match(/so\.addVariable\("CONFIG_URL.*/)[0].match(/\/player\/embed\/mtv\/configuration.jhtml[^"]+/)[0];
			$id("vidplyr").innerHTML = "<embed id=\"embeddedPlayer\" width=\"414\" height=\"338\" flashvars=\"jsInstanceId=so&elementId=embeddedPlayer&CONFIG_URL=" + tmp + " &clientEnvironmentVars=testmode=false&wmode=transparent\" wmode=\"transparent\" quality=\"high\" bgcolor=\"#000000\" name=\"embeddedPlayer\" style=\"\" src=\"/player/embed/mtv/\" type=\"application/x-shockwave-flash\"/>";
			count--;
		}
	};
	doFunc(null, funcScript, 1);
}

function google_com()
{
	var funcOnce = function() {
		// FOCUS SEARCH FIELD
		if ($name("q")[0])
		{
			$name("q")[0].focus();
			$name("q")[0].select();
		}
	};
	doFunc(funcOnce);
}

function video_google_com()
{
	var funcOnce = function() {
		// GOOGLE VIDEOS
		appendStyle("html, body {overflow : auto !important;}");
	};
	var funcScript = function(script) {
		// SHOW RELATED
		if (script.search(/function\ showRelated/) > -1)
		{
			// RELATED URL
			var url = "http://video.google.com/videorelated";
			var showRelated = script.match(/function\ showRelated[^}]+/)[0];
			var parameters = showRelated.match(/\+\ \"[^\"]+/g);
			for (var i = 0; i < parameters.length; i++) url += parameters[i].substring(3);

			// RELATED VIDEOS
			var thumbstrip = document.createElement("div");
			thumbstrip.setAttribute("id", "fixweb_thumbstrip");
			thumbstrip.setAttribute("class", "related_videos_thumbstrip_div");
			$id("related-videos").innerHTML = "";
			var cbFunc = function(doc) {
				var lines = doc.match(/\-?[0-9]{19}.*/g);
				for (var i = 0; i< lines.length; i++)
				{
					var attributes = lines[i].split("	");
					var id = attributes[0];
					var src = attributes[1];
					var alt = attributes[2];
					var title = attributes[3];
					var href = attributes[7];
					thumbstrip.innerHTML += "<div class=\"related_video_thumb\"><center><table cellspacing=\"0\" cellpadding=\"0\"><tbody><tr><td valign=\"bottom\" height=\"62\" align=\"center\"><div id=\"favicon" + id + "\" style=\"border: 1px solid blue; position: relative; width: 80px; height: 60px; background-color: black;\"><a href=\"" + href + "\" rel=\"nofollow\"><img style=\"border: medium none ; width: 80px; height: 60px; margin-left: 0px; margin-top: 0px;\" title=\"" + title + "\" alt=\"" + alt + "\" src=\"" + src + "\"/></a></div></td></tr><tr><td valign=\"top\" align=\"center\"><div><a href=\"" + href + "\" rel=\"nofollow\" title=\"" + title + "\">" + alt + "</a></div></td></tr></tbody></table></center></div>";
				}
			};
			$id("related-videos").appendChild(thumbstrip);
//			getResponse("GET", url, true, RESPONSE_TEXT, cbFunc); // ASYNCRON
			cbFunc(getResponse("GET", url, false, RESPONSE_TEXT)); // SYNCRON, GIVE SKIPREDIRECT A CHANCE TO WORK
			count--;
		}
	};
	doFunc(funcOnce, funcScript, 1);
}

function revver_com()
{
	var funcScript = function(script) {
		// FLASH VIDEO
		if (script.search(/revverVideo\.embed/) > -1)
		{
			var id = script.match(/mediaId[^,]+/)[0].match(/[0-9]+/)[0];
			$id("player_embed").innerHTML = "<object data=\"http://flash.revver.com/player/1.0/player.swf?r=rev_player-pd-" + id + "\" height=\"392\" type=\"application/x-shockwave-flash\" width=\"480\"><param name=\"flashvars\" value=\"mediaId=" + id + "\"/></object>\"";
			count--;
		}
	};
	doFunc(null, funcScript, 1);
}

function scroogle_org()
{
	var funcOnce = function() {
		// FOCUS SEARCH FIELD
		if ($name("Gw")[0])
		{
			$name("Gw")[0].focus();
			$name("Gw")[0].select();
		}
	};
	doFunc(funcOnce);
}

function tomgreen_com()
{
	var funcOnce = function() {
		// SHOW PREVIOUS SHOWS
		var url = getUrl("/ajax/content_scroller.php");
		var cbFunc = function(scrolling) {
			$id("scrolling").innerHTML = scrolling;

			// SET HREF OF ANCHORS
			var anchors = document.evaluate(".//a[@onclick]", $id("scrolling"), null, XPathResult.UNORDERED_NODE_SNAPSHOT_TYPE, null);
			if (anchors) for (var i = 0; i < anchors.snapshotLength; i++)
			{
				var a = anchors.snapshotItem(i);
				var onclick = a.getAttribute("onclick");
				var vid = onclick.match(/show_video\([0-9]+/)[0].substring(11);
				a.setAttribute("href", "/?video=" + vid);
			}
		};
		getResponse("POST", url, true, RESPONSE_TEXT, cbFunc, "tab=previous_shows");

		// SHOW STREAM
		if (window.location.search)
		{
			// LOAD FROM PARAMETER
			var vid = window.location.search.match(/video=[0-9]+/)[0].substring(6);
			var url = getUrl("/ajax/content_swfobject.php");
			var cbFunc = function(swfobject) {
				swfobject = swfobject.substring(swfobject.indexOf("{") + 2, swfobject.lastIndexOf("}") - 1);
				var width = swfobject.match(/width\":\"[0-9]+/)[0].substring(8);
				var height = swfobject.match(/height\":\"[0-9]+/)[0].substring(9);
				var file = swfobject.match(/file\":\"[^"]+/)[0].substring(7);
				//var thumb = swfobject.match(/thumb\":\"[^"]+/)[0].substring(8);
				var base = swfobject.match(/base\":\"[^"]+/)[0].substring(7) + "/";
				var bgcolor = swfobject.match(/bgcolor\":\"[^"]+/)[0].substring(10);
				var ratio = swfobject.match(/ratio\":\"[^"]+/)[0].substring(8);
				var key1 = swfobject.match(/key1\":\"[^"]+/)[0].substring(7);
				var key2 = swfobject.match(/key2\":\"[^"]+/)[0].substring(7);
				var flashvars = "File=" + file + "&ScrubMode=advanced&AutoSize=on&DefaultRatio=" + ratio + "&AutoPlay=on&FullScreenControlFade=on&LiveMode=off&PreRoll=http://px-master.kiptronic.com/px/inline/preroll.flv?loc=begin%26index=0%26id=10492%26key=" + key1 + "&PostRoll=http://px-master.kiptronic.com/px/inline/postroll.flv?loc=end%26index=0%26id=10492%26key=" + key2;
				$id("video_box").innerHTML = "<div id=\"flashcontent\"><embed id=\"BitGravityVideoPlayer\" width=\"" + width + "\" height=\"" + height + "\" flashvars=\"" + flashvars + "\" salign=\"lt\" scale=\"noscale\" allowfullscreen=\"true\" base=\"" + base + "\" quality=\"high\" bgcolor=\"#78B33B\" name=\"BitGravityVideoPlayer\" style=\"\" src=\"http://bitcast-a.bitgravity.com/tomgreen/bitgravity_player.swf\" type=\"application/x-shockwave-flash\"/></div>";
			};
			getResponse("POST", url, true, RESPONSE_TEXT, cbFunc, "tab=previous_shows&video=" + vid);
		}
		else
		{
			// LOAD LIFE STREAM
			$id("video_box").innerHTML = "<div id=\"flashcontent\"><embed id=\"BitGravityVideoPlayer\" width=\"664\" height=\"400\" flashvars=\"File=http://bglive-a.bitgravity.com/tomgreen/testing/native&ScrubMode=normal&AutoSize=off&DefaultRatio=0.5625&AutoPlay=on&LiveMode=on\" salign=\"lt\" scale=\"noscale\" allowfullscreen=\"true\" base=\"http://bitcast-a.bitgravity.com/tomgreen/\" quality=\"high\" bgcolor=\"#78B33B\" name=\"BitGravityVideoPlayer\" style=\"\" src=\"http://bitcast-a.bitgravity.com/tomgreen/bitgravity_player.swf\" type=\"application/x-shockwave-flash\"/></div>";
		}
	};
	doFunc(funcOnce);
}

function userscripts_org()
{
	var funcOnce = function() {
		// SHOW COMMENT SUBMITION DIALOG
		if ($id("new_comment")) $id("new_comment").style.display = "";
	};
	doFunc(funcOnce);
}

function wilderssecurity_com()
{
	var funcOnce = function() {
		// QUICK REPLY
		if ($id("vB_Editor_QR_textarea")) $id("vB_Editor_QR_textarea").removeAttribute("disabled");
		if ($id("vB_Editor_QR_textarea")) $id("vB_Editor_QR_textarea").innerHTML = "";
	};
	doFunc(funcOnce);
}


function youtube_com()
{
	var funcOnce = function() {
		// APPEND STYLES
		appendStyle("#channel_videos_full, .collapse-content, .expand-content, .expand-header {display : block !important;}");
		appendStyle(".collapse-content, img[class='arrowDown'], img[class='arrowRight'], img[src='/img/arrowDown.gif'], img[src='/img/arrowRight.gif'], img[src='/img/pixel.gif'] {display : none !important;} .expand-header {background : none !important; padding-left : 0 !important;}");
		appendStyle(".videobarthumbnail_block {overflow : hidden !important; padding : 2px !important; width : 84px !important; height : 120px;}");

		// SIDE RESULTS
//		if ($id("side_results")) eval($id("side_results").getAttribute("onscroll"));
	};
	var funcScript = function(script) {
		if (script.search(/var\ swfArgs/) > -1)
		{
			// FLASH VIDEO
			var flashvars = script.match(/var\ swfArgs.*/)[0];
			flashvars = flashvars.substring(flashvars.indexOf("{")+1, flashvars.lastIndexOf("}")-1);
			flashvars = flashvars.replace(/:\'/g, "=").replace(/\',/g, "&").replace(/\:\ /g, "=").replace(/\,\ /g, "&").replace(/\"/g, "");
			$id("playerDiv").innerHTML = "<embed flashvars=\"" + flashvars + "\" width=\"480\" height=\"395\" quality=\"high\" src=\"/player2.swf?v=1\" type=\"application/x-shockwave-flash\"/>";

			// MORE FROM
			if ($id("channelVidsBody"))
			{
				var watchUsername = script.match(/var\ watchUsername.*/)[0];
				watchUsername = watchUsername.substring(watchUsername.indexOf("'")+1, watchUsername.lastIndexOf("'"));
				var pageVideoId = script.match(/var\ pageVideoId.*/)[0];
				pageVideoId = pageVideoId.substring(pageVideoId.indexOf("'")+1, pageVideoId.lastIndexOf("'"));
				var url = getUrl("/watch_ajax?user=" + watchUsername + "&video_id=" + pageVideoId + "&action_channel_videos");
				var cbFunc = function(doc) {
					var html_content = doc.evaluate(".//html_content/text()", doc, null, XPathResult.UNORDERED_NODE_SNAPSHOT_TYPE, null);
					if (html_content && html_content.snapshotLength == 1) $id("channel_videos_full").innerHTML = html_content.snapshotItem(0).textContent;
					funcNoDelayLoad($id("channel_videos_full"));
				};
				getResponse("GET", url, true, RESPONSE_XML, cbFunc);
			}

			// RELATED VIDEOS
			var div = document.evaluate(".//div[@onscroll]", $id("relatedVidsBody"), null, XPathResult.UNORDERED_NODE_SNAPSHOT_TYPE, null);
			if (!div || div.snapshotLength == 0)
			{
				var path = script.match(/var\ relatedVideoListUrl.*/)[0].match(/\/related_ajax\?video_id=[^']+/)[0];
				var url = getUrl(path);
				var cbFunc = function(doc) {
					var html_content = document.evaluate(".//html_content/text()", doc, null, XPathResult.UNORDERED_NODE_SNAPSHOT_TYPE, null);
					if (html_content && html_content.snapshotLength == 1) $id("relatedVidsBody").innerHTML = html_content.snapshotItem(0).textContent;
					funcNoDelayLoad($id("relatedVidsBody"));
				};
				getResponse("GET", url, true, RESPONSE_XML, cbFunc);
			}
			else funcNoDelayLoad($id("relatedVidsBody"));

			count--;
		}

		// VIDEO RESPONSES
		if (script.search(/function\ imagesInit_video_responses/) > -1)
		{
			funcVideobarthumbnail("Videos", script, "imageBrowsers['video_responses'].addImage", ") );", $id("vResponseHeading").nextSibling.nextSibling.firstChild.nextSibling);
			count--;
		}

		// VIDEOS
		if (script.search(/function\ imagesInit_profile_videos/) > -1)
		{
			funcVideobarthumbnail("Videos", script, "imageBrowsers['profile_videos'].addImage", ") );");
			count--;
		}

		// FAVORITES
		if (script.search(/function\ imagesInit_favorite_videos/) > -1)
		{
			funcVideobarthumbnail("Favorites", script, "imageBrowsers['favorite_videos'].addImage", ") );");
			count--;
		}

		// SUBSCRIPTIONS
		if (script.search(/function\ imagesInit_publishers/) > -1)
		{
			funcVideobarthumbnail("Subscriptions", script, "imageBrowsers['publishers'].addImage", ") );");
			count--;
		}

		// SUBSCRIBERS
		if (script.search(/function\ imagesInit_subscribers/) > -1)
		{
			funcVideobarthumbnail("Subscribers", script, "imageBrowsers['subscribers'].addImage", ") );");
			count--;
		}

		// FRIENDS
		if (script.search(/function\ imagesInit_friends/) > -1)
		{
			funcVideobarthumbnail("Friends", script, "imageBrowsers['friends'].addImage", ") );");
			count--;
		}
	};

	// NO DELAY LOAD
	var funcNoDelayLoad = function(doc) {
		var images = document.evaluate(".//img[@class='vimg90' and @onload]", doc, null, XPathResult.UNORDERED_NODE_SNAPSHOT_TYPE, null);
		if (images) for (var i = 0; i < images.snapshotLength; i++)
		{
			var img = images.snapshotItem(i);
			var onload = img.getAttribute("onload");
			img.src = onload.match(/http:\/\/[^\']+/)[0];
		}
	};

	// SHOW VIDEOBAR THUMBNAILS
	var funcVideobarthumbnail = function(title, script, startStr, stopStr, element) {
		if (!element)
		{
			var channelRightColumnElements = document.evaluate(".//div[@class='channelRightColumn']", document.body, null, XPathResult.UNORDERED_NODE_SNAPSHOT_TYPE, null);
			var headerBoxes = document.evaluate(".//div[@class='headerBox']", channelRightColumnElements.snapshotItem(0), null, XPathResult.UNORDERED_NODE_SNAPSHOT_TYPE, null);

			for (var i = 0; i < headerBoxes.snapshotLength; i++)
			{
				var headerBox = headerBoxes.snapshotItem(i);
				var spans = $tag("span", headerBox);
				if (spans[0] && spans[0].innerHTML.indexOf(title) > -1)
				{
					element = headerBox.nextSibling.nextSibling.firstChild.nextSibling;
					break;
				}
			}
		}
		if (!element) return;
		var tmp = "<table width=\"100%\" cellspacing=\"0\" cellpadding=\"0\"><tbody><tr><td>";
		var start = script.indexOf(startStr);
		var stop = script.indexOf(stopStr, start);
		while (start > -1)
		{
			var profile = script.substring(start, stop);
			var values = profile.match(/".*/g);
			var src = values[0].substring(1, values[0].lastIndexOf("\""));
			var href = values[1].substring(1, values[1].lastIndexOf("\""));
			var text1 = values[2].substring(1, values[2].lastIndexOf("\""));
			text1 = text1.replace(/\\"/g, "\"").replace(/\\n/g, "");
			var text2 = values[4].substring(1, values[4].lastIndexOf("\""));
			text2 = text2.replace(/\\"/g, "\"").replace(/\\n/g, "");
			tmp += "<div class=\"videobarthumbnail_block\"><center><div><a href=\"" + href + "\"><img class=\"videobarthumbnail_white\" width=\"80\" height=\"60\" src=\"" + src + "\"/></a></div><div class=\"xsmallText grayText padB3\">" + text1 + "</div><div class=\"xsmallText grayText padB3\">" + text2 + "</div></center></div>";
			start = script.indexOf(startStr, stop);
			stop = script.indexOf(stopStr, start);
		}
		tmp += "</td></tr></tbody></table>";
		element.innerHTML = tmp;
	};
	doFunc(funcOnce, funcScript, 7);
}

function $id(id, doc) {
	if (doc) return doc.getElementById(id);
	else return document.getElementById(id);
}

function $name(name, doc)
{
	if (doc) return doc.getElementsByName(name);
	else return document.getElementsByName(name);
}

function $tag(tagName, doc)
{
	if (doc) return doc.getElementsByTagName(tagName);
	else return document.getElementsByTagName(tagName);
}

function getUrl(path) {return window.location.protocol + "//" + window.location.host + path;};

function appendStyle(css)
{
	var head = document.getElementsByTagName("head")[0];
	if (!head) return;
	var style = document.createElement("style");
	style.rel = "stylesheet";
	style.type = "text/css";
	style.innerHTML = css;
	head.appendChild(style);
}

var count = 0;
function doFunc(funcOnce, funcScript, nrOfScripts)
{
	if (funcOnce) try{funcOnce();}catch(e){dump(e+"\n");}
	if (funcScript) {
		var scripts = document.evaluate(".//script", document, null, XPathResult.UNORDERED_NODE_SNAPSHOT_TYPE, null);

		if (!nrOfScripts) count = scripts.snapshotLength;
		else count = nrOfScripts;

		for(var i = 0; count > 0 && i < scripts.snapshotLength; i++)
		{
			var script = scripts.snapshotItem(i);
			if (!script) continue;
			try{funcScript(script.textContent, script);}catch(e){dump(e+"\n");}
		}
	}
}

const RESPONSE_TEXT = 0;
const RESPONSE_XML = 1;
function getResponse(method, url, async, responseType, callbackFunction, params)
{
	var request = new XMLHttpRequest();
	request.open(method, url, async);
	if (callbackFunction) request.onreadystatechange = function() {
		if (request.readyState == 4 && request.status == 200)
		{
			switch (responseType)
			{
				case RESPONSE_XML:
					if (request.responseXML) callbackFunction(request.responseXML);
					break;
				default:
					if(request.responseText) callbackFunction(request.responseText);
			}
		}
	};
	switch (method)
	{
		case "POST":
			request.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
			request.setRequestHeader("Content-length", params.length);
			request.setRequestHeader("Connection", "close");
			request.send(params);
			break;
		default:
			request.send(null);
	}
	if (!async && request.readyState == 4 && request.status == 200) switch (responseType)
	{
		case RESPONSE_XML: return request.responseXML;
		default: return request.responseText;
	}
	return null;
}

/*function setCookie(name, value, expire, path, domain, secure)
{
//	var cookie_string = name + "=" + escape(value);
	var cookie_string = name + "=" + value;
	if (expire)
	{
		var expire_date = new Date();
		var ms_from_now = expire * 24 * 60 * 60 * 1000;
		expire_date.setTime(expire_date.getTime() + ms_from_now);
		var expire_string = expire_date.toGMTString();
		cookie_string += "; expires=" + expire_string;
	}
	if (path) cookie_string += "; path=" + path;
	if (domain) cookie_string += "; domain=" + domain;
	if (secure) cookie_string += "; true";
	document.cookie = cookie_string;
}*/

/*function getCookie(name)
{
	var nameEQ = name + "=";
	var ca = document.cookie.split(";");
	for(var i = 0; i < ca.length; i++)
	{
		var c = ca[i];
		while (c.charAt(0) == " ") c = c.substring(1, c.length);
		if (c.indexOf(nameEQ) == 0) return unescape(c.substring(nameEQ.length, c.length));
	}
	return null;
}*/

/*function eraseCookies(name)
{
	var value = null;
	do {
		value = getCookie(name);
		setCookie(name, "", -1); // ERASE COOKIE
		name = value;
	} while (name);
}*/

main();

